Package uk.ac.starlink.votable.soap

# Class AxisTableSerializerFactory

java.lang.Object
uk.ac.starlink.votable.soap.AxisTableSerializerFactory

All Implemented Interfaces:
  `Serializable`, `javax.xml.rpc.encoding.SerializerFactory`, `org.apache.axis.encoding.SerializerFactory`

public class AxisTableSerializerFactory extends Object implements org.apache.axis.encoding.SerializerFactory
Custom serializer factory for streaming StarTables using AXIS.

Since:
  23 Mar 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AxisTableSerializerFactory()`

## Method Summary

Modifier and Type
Method
Description
`javax.xml.rpc.encoding.Serializer`
`getSerializerAs(String mechanismType)`
`Iterator<String>`
`getSupportedMechanismTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AxisTableSerializerFactory

public AxisTableSerializerFactory()

## Method Details

### getSerializerAs

public javax.xml.rpc.encoding.Serializer getSerializerAs(String mechanismType)

Specified by:
  `getSerializerAs` in interface `javax.xml.rpc.encoding.SerializerFactory`

### getSupportedMechanismTypes

public Iterator<String> getSupportedMechanismTypes()

Specified by:
  `getSupportedMechanismTypes` in interface `javax.xml.rpc.encoding.SerializerFactory`